I am using Creo Parametric - Release 4.0 (connected) 4.0 M010
I having issues with IpfcFeature.ListChildren() returning 0 children features for a feature I know that has many.
Same code works well for other parts, but not for this one.
This is the code that works for other parts :
Function Simplifier(ByVal currmodel As IpfcModelItemOwner)
Dim features As IpfcFeatures
Dim currFeat As IpfcFeature = Nothing\
Dim solid As IpfcSolid
solid = CType(currmodel, IpfcSolid)
features = solid.ListFeaturesByType(True, EpfcFeatureType.EpfcFEATTYPE_ROUND)
For Each currFeat In features
modelItem = CType(currFeat, IpfcModelItem)
' find child-less features and add to operations queue
childfeatures = currFeat.ListChildren()
' childfeatures returns the child features of currfeat with some parts, but its failing with others!!
Next
Please help to understand if this is a bug or something Im doing wrong.
@MV_8740907 wrote:
I am using Creo Parametric - Release 4.0 (connected) 4.0 M010
I having issues with IpfcFeature.ListChildren() returning 0 children features for a feature I know that has many.
Same code works well for other parts, but not for this one.
This is the code that works for other parts :
Function Simplifier(ByVal currmodel As IpfcModelItemOwner)
Dim features As IpfcFeatures
Dim currFeat As IpfcFeature = Nothing\
Dim solid As IpfcSolid
solid = CType(currmodel, IpfcSolid)
features = solid.ListFeaturesByType(True, EpfcFeatureType.EpfcFEATTYPE_ROUND)
For Each currFeat In features
modelItem = CType(currFeat, IpfcModelItem)
' find child-less features and add to operations queue
childfeatures = currFeat.ListChildren()
' childfeatures returns the child features of currfeat with some parts, but its failing with others!!
Next
Please help to understand if this is a bug or something Im doing wrong.
Hi,
please upload "problematic" part.
Unfortunately it is a customer part so I cannot publish it.
Sorry, but what kind of children do you expect from a round feature?